/* Exemplet för att visa koppling mellan HTML, CSS och JavaScript. */
// --------------------------------------------------
// Globala variabler
let imgElem, pElem; // Element för bild och bildtext
let btnElem;        // Element för knappen
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
    imgElem = document.querySelector("#result img");
    pElem = document.querySelector("#result p")
	btnElem = document.querySelector("#testBtn");
    btnElem.addEventListener("click", clickButton);
    imgElem.addEventListener("click", clickDog);
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Funktion som körs då man klickar på knappen
function clickButton() {
    btnElem.disabled = true;
    imgElem.src = "img/dog-anim.gif";
    pElem.innerText = "Vov, vov";
    imgElem.style.cursor = "pointer";
} // Slut clickButton
// --------------------------------------------------
// Funktion som körs då man klickar på bilden
function clickDog() {
    btnElem.disabled = false;
    imgElem.src = "img/dog.gif";
    pElem.innerText = "";
    imgElem.style.cursor = "default";
} // Slut clickDog
// --------------------------------------------------
